GoDoxy
DockerStatsId

Get container stats

GET
/docker/stats/{id}

Get container stats by container id

Path Parameters

id*string

Container ID or route alias

Response Body

OK

application/json
  1. response
blkio_stats?
cpu_stats?

Shared stats

id?string
memory_stats?
name?string
networks?
num_procs?integer

Windows specific stats, not populated on Linux.

pids_stats?

Linux specific stats, not populated on Windows.

precpu_stats?

"Pre"="Previous"

preread?string
read?string

Common stats

storage_stats?
Example Request
curl -X GET 'https://example.com/api/v1/docker/stats/string'
Example Response
{  "blkio_stats": {    "io_merged_recursive": [      {        "major": 0,        "minor": 0,        "op": "string",        "value": 0      }    ],    "io_queue_recursive": [      {        "major": 0,        "minor": 0,        "op": "string",        "value": 0      }    ],    "io_service_bytes_recursive": [      {        "major": 0,        "minor": 0,        "op": "string",        "value": 0      }    ],    "io_service_time_recursive": [      {        "major": 0,        "minor": 0,        "op": "string",        "value": 0      }    ],    "io_serviced_recursive": [      {        "major": 0,        "minor": 0,        "op": "string",        "value": 0      }    ],    "io_time_recursive": [      {        "major": 0,        "minor": 0,        "op": "string",        "value": 0      }    ],    "io_wait_time_recursive": [      {        "major": 0,        "minor": 0,        "op": "string",        "value": 0      }    ],    "sectors_recursive": [      {        "major": 0,        "minor": 0,        "op": "string",        "value": 0      }    ]  },  "cpu_stats": {    "cpu_usage": {      "percpu_usage": [        0      ],      "total_usage": 0,      "usage_in_kernelmode": 0,      "usage_in_usermode": 0    },    "online_cpus": 0,    "system_cpu_usage": 0,    "throttling_data": {      "periods": 0,      "throttled_periods": 0,      "throttled_time": 0    }  },  "id": "string",  "memory_stats": {    "commitbytes": 0,    "commitpeakbytes": 0,    "failcnt": 0,    "limit": 0,    "max_usage": 0,    "privateworkingset": 0,    "stats": {      "property1": 0,      "property2": 0    },    "usage": 0  },  "name": "string",  "networks": {    "property1": {      "endpoint_id": "string",      "instance_id": "string",      "rx_bytes": 0,      "rx_dropped": 0,      "rx_errors": 0,      "rx_packets": 0,      "tx_bytes": 0,      "tx_dropped": 0,      "tx_errors": 0,      "tx_packets": 0    },    "property2": {      "endpoint_id": "string",      "instance_id": "string",      "rx_bytes": 0,      "rx_dropped": 0,      "rx_errors": 0,      "rx_packets": 0,      "tx_bytes": 0,      "tx_dropped": 0,      "tx_errors": 0,      "tx_packets": 0    }  },  "num_procs": 0,  "pids_stats": {    "current": 0,    "limit": 0  },  "precpu_stats": {    "cpu_usage": {      "percpu_usage": [        0      ],      "total_usage": 0,      "usage_in_kernelmode": 0,      "usage_in_usermode": 0    },    "online_cpus": 0,    "system_cpu_usage": 0,    "throttling_data": {      "periods": 0,      "throttled_periods": 0,      "throttled_time": 0    }  },  "preread": "string",  "read": "string",  "storage_stats": {    "read_count_normalized": 0,    "read_size_bytes": 0,    "write_count_normalized": 0,    "write_size_bytes": 0  }}